"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var CodeStarClient_1 = require("./CodeStarClient");
var AssociateTeamMemberCommand_1 = require("./commands/AssociateTeamMemberCommand");
var CreateProjectCommand_1 = require("./commands/CreateProjectCommand");
var CreateUserProfileCommand_1 = require("./commands/CreateUserProfileCommand");
var DeleteProjectCommand_1 = require("./commands/DeleteProjectCommand");
var DeleteUserProfileCommand_1 = require("./commands/DeleteUserProfileCommand");
var DescribeProjectCommand_1 = require("./commands/DescribeProjectCommand");
var DescribeUserProfileCommand_1 = require("./commands/DescribeUserProfileCommand");
var DisassociateTeamMemberCommand_1 = require("./commands/DisassociateTeamMemberCommand");
var ListProjectsCommand_1 = require("./commands/ListProjectsCommand");
var ListResourcesCommand_1 = require("./commands/ListResourcesCommand");
var ListTagsForProjectCommand_1 = require("./commands/ListTagsForProjectCommand");
var ListTeamMembersCommand_1 = require("./commands/ListTeamMembersCommand");
var ListUserProfilesCommand_1 = require("./commands/ListUserProfilesCommand");
var TagProjectCommand_1 = require("./commands/TagProjectCommand");
var UntagProjectCommand_1 = require("./commands/UntagProjectCommand");
var UpdateProjectCommand_1 = require("./commands/UpdateProjectCommand");
var UpdateTeamMemberCommand_1 = require("./commands/UpdateTeamMemberCommand");
var UpdateUserProfileCommand_1 = require("./commands/UpdateUserProfileCommand");
var CodeStar = /** @class */ (function (_super) {
    tslib_1.__extends(CodeStar, _super);
    function CodeStar() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CodeStar.prototype.associateTeamMember = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AssociateTeamMemberCommand_1.AssociateTeamMemberCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.createProject = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateProjectCommand_1.CreateProjectCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.createUserProfile = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateUserProfileCommand_1.CreateUserProfileCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.deleteProject = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteProjectCommand_1.DeleteProjectCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.deleteUserProfile = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteUserProfileCommand_1.DeleteUserProfileCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.describeProject = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeProjectCommand_1.DescribeProjectCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.describeUserProfile = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeUserProfileCommand_1.DescribeUserProfileCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.disassociateTeamMember = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DisassociateTeamMemberCommand_1.DisassociateTeamMemberCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.listProjects = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListProjectsCommand_1.ListProjectsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.listResources = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListResourcesCommand_1.ListResourcesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.listTagsForProject = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForProjectCommand_1.ListTagsForProjectCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.listTeamMembers = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTeamMembersCommand_1.ListTeamMembersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.listUserProfiles = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListUserProfilesCommand_1.ListUserProfilesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.tagProject = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagProjectCommand_1.TagProjectCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.untagProject = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagProjectCommand_1.UntagProjectCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.updateProject = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateProjectCommand_1.UpdateProjectCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.updateTeamMember = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateTeamMemberCommand_1.UpdateTeamMemberCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodeStar.prototype.updateUserProfile = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateUserProfileCommand_1.UpdateUserProfileCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return CodeStar;
}(CodeStarClient_1.CodeStarClient));
exports.CodeStar = CodeStar;
//# sourceMappingURL=CodeStar.js.map