"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var AssociateTeamMember_1 = require("../model/operations/AssociateTeamMember");
var AssociateTeamMemberCommand = /** @class */ (function () {
    function AssociateTeamMemberCommand(input) {
        this.input = input;
        this.model = AssociateTeamMember_1.AssociateTeamMember;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    AssociateTeamMemberCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return AssociateTeamMemberCommand;
}());
exports.AssociateTeamMemberCommand = AssociateTeamMemberCommand;
//# sourceMappingURL=AssociateTeamMemberCommand.js.map