"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeUserProfile_1 = require("../model/operations/DescribeUserProfile");
var DescribeUserProfileCommand = /** @class */ (function () {
    function DescribeUserProfileCommand(input) {
        this.input = input;
        this.model = DescribeUserProfile_1.DescribeUserProfile;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeUserProfileCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeUserProfileCommand;
}());
exports.DescribeUserProfileCommand = DescribeUserProfileCommand;
//# sourceMappingURL=DescribeUserProfileCommand.js.map